Package org.astrogrid.samp.test

# Class MessageSender

java.lang.Object
org.astrogrid.samp.test.MessageSender

public abstract class MessageSender extends Object
Sends a message to one or more other SAMP clients. Intended for use from the command line.

Since:
  23 Jul 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MessageSender()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Main method.
`static int`
`runMain(String[] args)`
Does the work for the main method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageSender

public MessageSender()

## Method Details

### main

public static void main(String[] args) throws IOException
Main method. Use -help flag for documentation.

Throws:
  `IOException`

### runMain

public static int runMain(String[] args) throws IOException
Does the work for the main method.

Throws:
  `IOException`